API Direct
Endpoints
Substack Post Details

Substack Post Details

GET /v1/substack/post

Get a Substack post by URL, ID, or publication and slug. Returns the full body as HTML and plain text (the free preview for paid posts), title, subtitle, author, publication, publication date, engagement, paywall status, word count, cover image, podcast audio and tags.

Cost
$0.003 per request
Free tier
50 requests/month

Parameters

url
Post URL, e.g. https://www.lennysnewsletter.com/p/all-of-the-lenny-and-friends-summit (max 500 characters). Provide url, post_id, or publication and slug.
post_id
Numeric post ID, as returned in post_id. Provide url, post_id, or publication and slug.
publication
Publication subdomain, host or URL, used together with slug.
slug
Post URL slug, e.g. all-of-the-lenny-and-friends-summit, used together with publication.
get_sentiment
Set to true to add AI emotion analysis (Plutchik's Wheel) to each result. Adds +$0.001 per request to the cost. Returns emotion scores, dominant emotion, intensity, and polarity.

Example Request

curl "https://apidirect.io/v1/substack/post?url=https%3A%2F%2Fwww.lennysnewsletter.com%2Fp%2Fall-of-the-lenny-and-friends-summit"   -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "post": {
    "audience": "everyone",
    "audio_url": "",
    "author": "lenny",
    "author_id": "1849774",
    "author_name": "Lenny Rachitsky",
    "author_url": "https://substack.com/@lenny",
    "authors": [
      {
        "name": "Lenny Rachitsky",
        "url": "https://substack.com/@lenny",
        "user_id": "1849774",
        "username": "lenny"
      }
    ],
    "body_html": "<p><em>👋 Hey there, I’m Lenny. Each week, I share deeply researched product, growth, and career advice. For more: <a href=\"https://www.lennysjobs.com/\">Lenny…",
    "body_is_preview": false,
    "body_text": "👋 Hey there, I’m Lenny. Each week, I share deeply researched product, growth, and career advice. For more: Lenny’s Jobs | Lennybot | Become an AI-Native Buil…",
    "comments": 7,
    "cover_image_url": "https://substack-post-media.s3.amazonaws.com/public/images/9fed347c-0e02-4190-a590-1236719b99de_9213x6142.jpeg",
    "date": "2026-09-29 13:15:57",
    "domain": "substack.com",
    "is_paid": false,
    "lang": "en",
    "likes": 285,
    "next_post_slug": "",
    "podcast_duration": 0,
    "podcast_image_url": "",
    "podcast_url": "",
    "post_id": "215694124",
    "previous_post_slug": "",
    "publication": "Lenny's Newsletter",
    "publication_details": {
      "logo_url": "https://substack-post-media.s3.amazonaws.com/public/images/441213db-4824-4e48-9d28-a3a18952cbfc_592x592.png",
      "name": "Lenny's Newsletter",
      "publication_id": "10845",
      "subdomain": "lenny",
      "url": "https://www.lennysnewsletter.com"
    },
    "publication_id": "10845",
    "publication_url": "https://www.lennysnewsletter.com",
    "reactions": {
      "❤": 285
    },
    "replies": 0,
    "restacks": 5,
    "slug": "all-of-the-lenny-and-friends-summit",
    "snippet": "Plus, some reflections and takeaways from the day",
    "source": "Substack",
    "subtitle": "Plus, some reflections and takeaways from the day",
    "tags": [],
    "title": "All of the Lenny & Friends Summit talks are now online!",
    "type": "newsletter",
    "updated_at": "2026-09-29 16:23:45",
    "url": "https://www.lennysnewsletter.com/p/all-of-the-lenny-and-friends-summit",
    "video_duration": 0,
    "wordcount": 1276
  }
}

Your Usage

Free tier this month
Loading...
Recent Activity